<?php
require_once "connect.php";

/*
dados da seção
$id_usuario=0;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}*/


//Recebendo parametros do Form
$id       = $_POST['id'];
$cd_origem	= trim($_POST['cd_origem']);
$ds_origem	= trim($_POST['ds_origem']);
$st_ativo	= 1;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_origem_produto set cd_origem='$cd_origem', ds_origem = '$ds_origem',st_ativo  =  $st_ativo";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_origem_produto set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_origem_produto ( cd_origem, ds_origem, st_ativo) values ( $cd_origem, '$ds_origem', $st_ativo )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_origem_produto_list.php");
}
?>
